FROM alpine:3.13
LABEL maintainer "Watheia Labs, LLC <admin@watheia.org>"

EXPOSE 80 443 2019
ENV XDG_CONFIG_HOME /config
ENV XDG_DATA_HOME /data

RUN apk add --no-cache ca-certificates curl

COPY artifacts/binaries/linux/amd64/caddy /bin/

ENTRYPOINT ["/bin/caddy"]

CMD ["docker-proxy"]